- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QTextBrowser Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qtextbrowser.h.

`#include <qtextbrowser.h>`

Inheritance diagram for QTextBrowser:
[legend]

List of all members.

## Public Slots
virtual void | setSource (const QUrl &name)
virtual void | backward ()
virtual void | forward ()
virtual void | home ()
virtual void | reload ()
## Signals
void | backwardAvailable (bool)
void | forwardAvailable (bool)
void | historyChanged ()
void | sourceChanged (const QUrl &)
void | highlighted (const QUrl &)
void | highlighted (const QString &)
void | anchorClicked (const QUrl &)
## Public Member Functions
| QTextBrowser (QWidget *parent=0)
virtual | ~QTextBrowser ()
QUrl | source () const
QStringList | searchPaths () const
void | setSearchPaths (const QStringList &paths)
virtual QVariant | loadResource (int type, const QUrl &name)
bool | isBackwardAvailable () const
bool | isForwardAvailable () const
void | clearHistory ()
QString | historyTitle (int) const
QUrl | historyUrl (int) const
int | backwardHistoryCount () const
int | forwardHistoryCount () const
bool | openExternalLinks () const
void | setOpenExternalLinks (bool open)
bool | openLinks () const
void | setOpenLinks (bool open)
## Protected Member Functions
bool | event (QEvent *e)
virtual void | keyPressEvent (QKeyEvent *ev)
virtual void | mouseMoveEvent (QMouseEvent *ev)
virtual void | mousePressEvent (QMouseEvent *ev)
virtual void | mouseReleaseEvent (QMouseEvent *ev)
virtual void | focusOutEvent (QFocusEvent *ev)
virtual bool | focusNextPrevChild (bool next)
virtual void | paintEvent (QPaintEvent *e)
## Properties
QUrl | source
QStringList | searchPaths
bool | openExternalLinks
bool | openLinks

## Constructor & Destructor Documentation

QTextBrowser | ( | QWidget * | parent = `0` | ) | `[explicit]`

virtual ~QTextBrowser | ( |  | ) | `[virtual]`

## Member Function Documentation

QUrl source | ( |  | ) | const

Search for all occurrences

QStringList searchPaths | ( |  | ) | const

Search for all occurrences

void setSearchPaths | ( | const QStringList & | paths | ) |

Search for all occurrences

virtual QVariant loadResource | ( | int | type,
|  | const QUrl & | name
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QTextEdit.

bool isBackwardAvailable | ( |  | ) | const

Search for all occurrences

bool isForwardAvailable | ( |  | ) | const

Search for all occurrences

void clearHistory | ( |  | ) |

Search for all occurrences

QString historyTitle | ( | int |  | ) | const

Search for all occurrences

QUrl historyUrl | ( | int |  | ) | const

Search for all occurrences

int backwardHistoryCount | ( |  | ) | const

Search for all occurrences

int forwardHistoryCount | ( |  | ) | const

Search for all occurrences

bool openExternalLinks | ( |  | ) | const

Search for all occurrences

void setOpenExternalLinks | ( | bool | open | ) |

Search for all occurrences

bool openLinks | ( |  | ) | const

Search for all occurrences

void setOpenLinks | ( | bool | open | ) |

Search for all occurrences

virtual void setSource | ( | const QUrl & | name | ) | `[virtual, slot]`

Search for all occurrences

virtual void backward | ( |  | ) | `[virtual, slot]`

Search for all occurrences

virtual void forward | ( |  | ) | `[virtual, slot]`

Search for all occurrences

virtual void home | ( |  | ) | `[virtual, slot]`

Search for all occurrences

virtual void reload | ( |  | ) | `[virtual, slot]`

Search for all occurrences

void backwardAvailable | ( | bool |  | ) | `[signal]`

Search for all occurrences

void forwardAvailable | ( | bool |  | ) | `[signal]`

Search for all occurrences

void historyChanged | ( |  | ) | `[signal]`

Search for all occurrences

void sourceChanged | ( | const QUrl & |  | ) | `[signal]`

Search for all occurrences

void highlighted | ( | const QUrl & |  | ) | `[signal]`

Search for all occurrences

void highlighted | ( | const QString & |  | ) | `[signal]`

Search for all occurrences

void anchorClicked | ( | const QUrl & |  | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QTextEdit.

virtual void keyPressEvent | ( | QKeyEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QTextEdit.

virtual void mouseMoveEvent | ( | QMouseEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QTextEdit.

virtual void mousePressEvent | ( | QMouseEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QTextEdit.

virtual void mouseReleaseEvent | ( | QMouseEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QTextEdit.

virtual void focusOutEvent | ( | QFocusEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QTextEdit.

virtual bool focusNextPrevChild | ( | bool | next | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QTextEdit.

virtual void paintEvent | ( | QPaintEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QTextEdit.

## Property Documentation

QUrl source `[read, write]`

Search for all occurrences

Definition at line 62 of file qtextbrowser.h.

QStringList searchPaths `[read, write]`

Search for all occurrences

Definition at line 66 of file qtextbrowser.h.

bool openExternalLinks `[read, write]`

Search for all occurrences

Definition at line 67 of file qtextbrowser.h.

bool openLinks `[read, write]`

Search for all occurrences

Definition at line 68 of file qtextbrowser.h.

The documentation for this class was generated from the following file:

- QtGui/qtextbrowser.h

QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser
QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser QTextBrowser